Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.api.stream
Interface IPlayItem

All Known Implementing Classes:
  SimplePlayItem

    public interface IPlayItem

Playlist item. Each playlist item has name, start time, length in milliseconds and message input source.

Method Summary
`long` | `getLength()` Play length in milliseconds.
`IMessageInput` | `getMessageInput()` Get a message input for play.
`String` | `getName()` Get name of item.
`long` | `getSize()` Size in bytes.
`long` | `getStart()` Start time in milliseconds.

Method Detail

### getName

    String getName()

  Get name of item. The VOD or Live stream provider is found according to this name.

  Returns:
    the name

### getStart

    long getStart()

  Start time in milliseconds.

  Returns:
    start time

### getLength

    long getLength()

  Play length in milliseconds.

  Returns:
    length in milliseconds

### getSize

    long getSize()

  Size in bytes.

  Returns:
    size in bytes

### getMessageInput

    IMessageInput getMessageInput()

  Get a message input for play. This object overrides the default algorithm for finding the appropriate VOD or Live stream provider according to the item name.

  Returns:
    message input

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project